org.eclipse.emf.cdo.transaction

## Interface CDOMerger2

- All Superinterfaces:
    CDOMerger

      public interface CDOMerger2
      extends CDOMerger

  Since:
    4.5
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOMerger

      `CDOMerger.ConflictException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOChangeSetData` | `merge(CDOChangeSet target, CDOChangeSet source)` Deprecated.
    `void` | `merge(CDOTransaction localTransaction, CDOView remoteView, Set<CDOID> affectedIDs)`

- - ### Method Detail

    - #### merge

          @Deprecated
          CDOChangeSetData merge(CDOChangeSet target,
                                              CDOChangeSet source)
                                       throws UnsupportedOperationException

      Deprecated.
      Description copied from interface: `CDOMerger`
      Calculates the changes between a source `change set` and a target `change set` and returns the result relative to their common ancestor.
      Specified by:
        `merge` in interface `CDOMerger`
      Throws:
        `UnsupportedOperationException`
      No Reference
        This method is not intended to be referenced by clients.

    - #### merge

          void merge(CDOTransaction localTransaction,
                     CDOView remoteView,
                     Set<CDOID> affectedIDs)
              throws CDOMerger.ConflictException

      Throws:
        `CDOMerger.ConflictException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html